Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-dev
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: Gentoo Developers <gentoo-dev@g.o>
From: William Hubbs <kc5eiv@...>
Subject: dev-libs/glib
Date: Tue, 13 May 2003 17:42:58 -0500
Hi all,

I'm not sure whether this goes to gentoo-dev or gentoo-users, so I appologise in advance for the cross-post.

The problem I am having is this:

I am trying to remove the dev-libs/glib package from my system.
It is not in the world file, and it isn't in /etc/make.profile anywhere.
However, emerge -uD world insists on installing it.

I have attempted to find the package that depends on it, but I get the following results:

dep-clean -Cv
Retrieving currently merged packages.
128 currently merged packages.

Retrieving system packages.
89 packages contained in system.

Preparing world file.

Preparing list of installed world packages.

8586	ebuilds available.
42	packages contained in final world file.

List prepared, checking dependencies with emerge -eup
130 packages contained in final image.

These packages have no other packages depending on them.
Total of 0 unneeded packages.

These packages are depended upon but are not present on the system.
dev-libs/glib-1.2.10-r5
dev-libs/glib-2.2.1
Total of 2 needed packages.

These packages are installed but not in the portage tree.
Total of 0 removed packages.

Then, here is what qpkg tells me about the package:

qpkg -nc -q -i dev-libs/glib
dev-libs/glib-2.0.4-r1
DEPENDED ON BY:
dev-libs/glib-1.2.10-r5
DEPENDED ON BY:
dev-libs/glib-2.0.6-r1
DEPENDED ON BY:
dev-libs/glib-2.0.7
DEPENDED ON BY:
dev-libs/glib-2.2.0
DEPENDED ON BY:
dev-libs/glib-2.2.1
DEPENDED ON BY:

Here are my use flags:
USE="-cups -gif -gnome -gpm -gtk -imlib -kde maildir -jpeg -nls -png -qt -svga -X -xv -xmms -truetype -tcpd"

What is going on here?  Can someone tell me why my system thinks this packag is needed?

Thanks,

William


--
gentoo-dev@g.o mailing list

Replies:
Re: dev-libs/glib
-- Spider
Re: dev-libs/glib
-- Thomas de Grenier de Latour
Re: dev-libs/glib
-- Canek Peláez Valdés
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
pysoulseek local USE flag
Next by thread:
Re: dev-libs/glib
Previous by date:
pysoulseek local USE flag
Next by date:
Re: dev-libs/glib


Updated Jun 17, 2009

Summary: Archive of the gentoo-dev mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.